name: beat-web
channels:
  - http://www.idiap.ch/software/beat/conda
  - defaults
dependencies:
  - pip

  # packages you may pin are here
  - python=3.6
  - bob-devel=2020.01.09
  - beat-devel=2020.01.09

  # beat dependencies matching release.cfg
  - beat.core=1.10.3
  - beat.backend.python=1.7.6
  - beat.cmdline=1.7.1

  # requirements.txt, they are indirectly pinned through the above
  - docopt
  - docutils
  - jinja2
  - matplotlib
  - psutil
  - psycopg2
  - pytz
  - simplejson

  # these are required for local development, they are not runtime
  - bob.extension
  - nose
  - coverage
  - sphinx
  - sphinx_rtd_theme
  - bob.buildout
  - mr.developer
  - sphinxcontrib-programoutput
  - sphinxcontrib-httpdomain

  # add here, packages which are **not** available on above channels
  - pip:
    - django>=1.11,<2.0
    - django-activity-stream>=0.6,<0.7
    - django-guardian>=1.4,<2.0
    - django-jsonfield>=1.0,<1.1
    - django-jsonfield-compat>=0.4,<0.5
    - django-post_office>=3.1,<3.2
    - drf-yasg>=1.16
    - djangorestframework>=3.9,<3.10
    - sphinxcontrib-openapi>=0.5.0
    - jsonfield<3.0
